/*
 * Copyright 2016 - 2025 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#pragma once

#include <studio/studio.hpp>

#include "tilesheet.hpp"

namespace nostalgia::gfx {

inline void navigateToTileSheet(
	studio::Context &ctx, ox::StringParam path, SubSheetId const subsheetId) noexcept {
	studio::navigateTo(ctx, std::move(path), ox::intToStr(subsheetId));
}

inline void navigateToPalette(studio::Context &ctx, ox::StringParam path) noexcept {
	studio::navigateTo(ctx, std::move(path));
}

inline void navigateToPalette(
	studio::Context &ctx,
	ox::StringParam path,
	size_t const colorIdx,
	size_t const palPage) noexcept {
	studio::navigateTo(
		ctx,
		std::move(path),
		ox::sfmt("{};{}", colorIdx, palPage));
}

}
